%global momorel 1
%global md5sum_src0 de6cceaca780e7ad0702c4b3c0fd8d1f
%undefine __libtoolize
Name:		gok
Summary:	GNOME On-screen Keyboard (GOK)
Version:	1.0.10
Release:	%{momorel}m
License: 	GPL
Group:		User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.0/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch1: gok-0.10.2-launcher.patch
Patch2: gok-1.0.5-crash.patch

URL: 		http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgnomeui-devel >= 2.14.1
BuildPrereq: at-spi-devel >= 1.7.7
BuildPrereq: libbonobo-devel >= 2.14.0
BuildPrereq: atk-devel >= 1.11.4
BuildPrereq: gtk+-devel >= 2.8.18
BuildPrereq: gail-devel >= 1.8.11
BuildPrereq: libwnck-devel >= 2.14.2
BuildPrereq: esound-devel >= 0.2.36
BuildPrereq: GConf-devel >= 2.14.0
BuildPrereq: desktop-file-utils >= 0.10
BuildPrereq: gnome-speech-devel >= 0.4.0
BuildPrereq: libglade-devel >= 2.5.1
BuildPrereq: ORBit2-devel >= 2.14.0
Prereq: GConf
Prereq: scrollkeeper

%description
Welcome to GOK.  Please note that this is an unstable release and that
GOK may crash or behave unexpectedly.  With this in mind we would like
to thank you very much for your interest in GOK and hope very much
that you find it useful.

%package devel
Summary: Libraries/include files for GStreamer plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel
Requires: atk-devel
Requires: libbonobo-devel
Requires: gtk+-devel
Requires: gail-devel
Requires: libwnck-devel
Requires: esound-devel
Requires: at-spi-devel

%description devel
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.
#'

This package contains the libraries and includes files necessary to develop
applications and plugins for gok.

%prep
%setup -q
%patch1 -p1 -b .launcher~
%patch2 -p1 -b .crash

%build
%configure --disable-schemas-install --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/gok.desktop

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gok.schemas
%{_bindir}/gok
%{_bindir}/create-branching-keyboard
%{_datadir}/gok
%{_datadir}/omf/gok
%{_datadir}/gnome/help/gok
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gok.desktop
%{_datadir}/pixmaps/gok.png
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gtk-doc/html/gok

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/gok-1.0.pc

%changelog
* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.10-1m)
- update to 1.0.10

* Thu May 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-3m)
- add patch3

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-2m)
- add Patch2 from FC (gok-1.0.5-crash.patch)

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.8-1m)
- update to 1.0.8
- remove Patch2 (gok-1.0.7-cspi_accessible_is_a.patch)
- BUG FIX Release

* Sun Apr  9 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.7-2m)
- add Patch2 (gok-1.0.7-cspi_accessible_is_a.patch)

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.7-1m)
- update to 1.0.7

* Mon Nov 21 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.5-1m)
- version 1.0.5
- GNOME 2.12.1 Desktop
- add Patch1 (gok-0.10.2-launcher.patch)

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.16-1m)
- version 0.11.16
- GNOME 2.8 Desktop

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.2-2m)
- add Utility to Categories of desktop file for KDE
- BuildPrereq: desktop-file-utils

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.10.2-1m)
- version 0.10.2

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.10.0-1m)
- version 0.10.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.8.4-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.4-1m)
- version 0.8.4

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.3-1m)
- version 0.8.3

* Tue Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.8.1-1m)
- version 0.8.1

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.13-1m)
- version 0.7.13

* Fri Jul 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.11-1m)
- version 0.7.11

* Wed Jul 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.10-1m)
- version 0.7.10

* Tue Jul 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.9-1m)
- version 0.7.9

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.7-1m)
- version 0.7.7

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.5-1m)
- version 0.7.5

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.1-1m)
- version 0.7.1
